Skip to main content
POST
/
api
/
prospects
/
create_prospect_list
JavaScript
const apiKey = "your api key here" // update with your api_key

const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", `Bearer ${apiKey}`);

const raw = JSON.stringify({
  "filters": {
    "job_title": [
      {
        "v": "CEO",
        "s": "i"
      }
    ],
    "job_title_level": [
      "CXO"
    ],
    "job_role": [
      "finance"
    ],
    "location": [
      {
        "v": "Toronto, Ontario, Canada",
        "b": "city",
        "s": "i"
      }
    ],
    "company_location": [
      {
        "v": "Ontario, Canada",
        "b": "state",
        "s": "i"
      }
    ],
    "company_size": [
      "1-10",
      "11-50"
    ],
    "company_industry": [
      "financial services"
    ],
    "year_founded_start": "2010",
    "year_founded_end": "2024"
  },
  "list": {
    "name": "Test List",
    "max_profiles": 10
  }
});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://wiza.co/api/prospects/create_prospect_list", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
import http.client
import json

api_key = "your api key here" # update with your api_key

conn = http.client.HTTPSConnection("wiza.co")
payload = json.dumps({
"filters": {
"job_title": [
{
"v": "CEO",
"s": "i"
}
],
"job_title_level": [
"CXO"
],
"job_role": [
"finance"
],
"location": [
{
"v": "Toronto, Ontario, Canada",
"b": "city",
"s": "i"
}
],
"company_location": [
{
"v": "Ontario, Canada",
"b": "state",
"s": "i"
}
],
"company_size": [
"1-10",
"11-50"
],
"company_industry": [
"financial services"
],
"year_founded_start": "2010",
"year_founded_end": "2024"
},
"list": {
"name": "Test List",
"max_profiles": 10
}
})
authorization = ("Bearer {api_key}").format(api_key=api_key)
headers = {
'Content-Type': 'application/json',
'Authorization': authorization
}
conn.request("POST", "/api/prospects/create_prospect_list", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
require "uri"
require "json"
require "net/http"

api_key = "your api key here" # update with your api_key

url = URI("https://wiza.co/api/prospects/create_prospect_list")

https = Net::HTTP.new(url.host, url.port);
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer #{api_key}"
request.body = JSON.dump({
"filters": {
"job_title": [
{
"v": "CEO",
"s": "i"
}
],
"job_title_level": [
"CXO"
],
"job_role": [
"finance"
],
"location": [
{
"v": "Toronto, Ontario, Canada",
"b": "city",
"s": "i"
}
],
"company_location": [
{
"v": "Ontario, Canada",
"b": "state",
"s": "i"
}
],
"company_size": [
"1-10",
"11-50"
],
"company_industry": [
"financial services"
],
"year_founded_start": "2010",
"year_founded_end": "2024"
},
"list": {
"name": "Test List",
"max_profiles": 10
}
})

response = https.request(request)
puts response.read_body
api_key="your api key here" # update with your api_key

curl --location 'https://wiza.co/api/prospects/create_prospect_list' --header 'Content-Type: application/json' --header "Authorization: Bearer ${api_key}" --data '{
"filters": {
"job_title": [
{
"v": "CEO",
"s": "i"
}
],
"job_title_level": [
"CXO"
],
"job_role": [
"finance"
],
"location": [
{
"v": "Toronto, Ontario, Canada",
"b": "city",
"s": "i"
}
],
"company_location": [
{
"v": "Ontario, Canada",
"b": "state",
"s": "i"
}
],
"company_size": ["1-10","11-50"],
"company_industry": ["financial services"],
"year_founded_start": "2010",
"year_founded_end": "2024"
},
"list": {
"name": "Test List",
"max_profiles": 10
}
}'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://wiza.co/api/prospects/create_prospect_list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'list' => [
'name' => 'VP of Sales in San Francisco',
'max_profiles' => 10,
'enrichment_level' => 'partial',
'email_options' => [
'accept_work' => true,
'accept_personal' => true,
'accept_generic' => true
]
],
'filters' => [
'first_name' => [
'John',
'Jane'
],
'last_name' => [
'Smith'
],
'job_title' => [
[
'v' => 'CEO'
]
],
'job_title_level' => [

],
'job_role' => [

],
'job_sub_role' => [

],
'location' => [
'v' => 'Toronto, Ontario, Canada',
'b' => 'city',
's' => 'i'
],
'skill' => [
'<string>'
],
'school' => [
'<string>'
],
'major' => [
'<string>'
],
'linkedin_slug' => [
'stephen-hakami-5babb21b0',
'https://linkedin.com/in/stephen-hakami-5babb21b0'
],
'job_company' => [
[
'v' => 'Wiza',
's' => 'i'
]
],
'past_company' => [
[
'v' => 'Wiza',
's' => 'i'
]
],
'company_location' => [
[
'v' => 'Toronto, Ontario, Canada',
'b' => 'city',
's' => 'e'
]
],
'company_industry' => [
[
'v' => 'building materials'
],
[
'v' => 'capital markets',
's' => 'e'
]
],
'company_size' => [

],
'department_size' => [
'sales:10-50'
],
'revenue' => [

],
'funding_date' => [

],
'funding_stage' => [
'v' => [

]
],
'funding_type' => [
'v' => [

]
],
'company_type' => [

],
'company_summary' => [
[
'v' => 'cutting-edge'
]
],
'year_founded_start' => '2020',
'year_founded_end' => '2024'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://wiza.co/api/prospects/create_prospect_list"

payload := strings.NewReader("{\n \"list\": {\n \"name\": \"VP of Sales in San Francisco\",\n \"max_profiles\": 10,\n \"enrichment_level\": \"partial\",\n \"email_options\": {\n \"accept_work\": true,\n \"accept_personal\": true,\n \"accept_generic\": true\n }\n },\n \"filters\": {\n \"first_name\": [\n \"John\",\n \"Jane\"\n ],\n \"last_name\": [\n \"Smith\"\n ],\n \"job_title\": [\n {\n \"v\": \"CEO\"\n }\n ],\n \"job_title_level\": [],\n \"job_role\": [],\n \"job_sub_role\": [],\n \"location\": {\n \"v\": \"Toronto, Ontario, Canada\",\n \"b\": \"city\",\n \"s\": \"i\"\n },\n \"skill\": [\n \"<string>\"\n ],\n \"school\": [\n \"<string>\"\n ],\n \"major\": [\n \"<string>\"\n ],\n \"linkedin_slug\": [\n \"stephen-hakami-5babb21b0\",\n \"https://linkedin.com/in/stephen-hakami-5babb21b0\"\n ],\n \"job_company\": [\n {\n \"v\": \"Wiza\",\n \"s\": \"i\"\n }\n ],\n \"past_company\": [\n {\n \"v\": \"Wiza\",\n \"s\": \"i\"\n }\n ],\n \"company_location\": [\n {\n \"v\": \"Toronto, Ontario, Canada\",\n \"b\": \"city\",\n \"s\": \"e\"\n }\n ],\n \"company_industry\": [\n {\n \"v\": \"building materials\"\n },\n {\n \"v\": \"capital markets\",\n \"s\": \"e\"\n }\n ],\n \"company_size\": [],\n \"department_size\": [\n \"sales:10-50\"\n ],\n \"revenue\": [],\n \"funding_date\": {},\n \"funding_stage\": {\n \"v\": []\n },\n \"funding_type\": {\n \"v\": []\n },\n \"company_type\": [],\n \"company_summary\": [\n {\n \"v\": \"cutting-edge\"\n }\n ],\n \"year_founded_start\": \"2020\",\n \"year_founded_end\": \"2024\"\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://wiza.co/api/prospects/create_prospect_list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"list\": {\n \"name\": \"VP of Sales in San Francisco\",\n \"max_profiles\": 10,\n \"enrichment_level\": \"partial\",\n \"email_options\": {\n \"accept_work\": true,\n \"accept_personal\": true,\n \"accept_generic\": true\n }\n },\n \"filters\": {\n \"first_name\": [\n \"John\",\n \"Jane\"\n ],\n \"last_name\": [\n \"Smith\"\n ],\n \"job_title\": [\n {\n \"v\": \"CEO\"\n }\n ],\n \"job_title_level\": [],\n \"job_role\": [],\n \"job_sub_role\": [],\n \"location\": {\n \"v\": \"Toronto, Ontario, Canada\",\n \"b\": \"city\",\n \"s\": \"i\"\n },\n \"skill\": [\n \"<string>\"\n ],\n \"school\": [\n \"<string>\"\n ],\n \"major\": [\n \"<string>\"\n ],\n \"linkedin_slug\": [\n \"stephen-hakami-5babb21b0\",\n \"https://linkedin.com/in/stephen-hakami-5babb21b0\"\n ],\n \"job_company\": [\n {\n \"v\": \"Wiza\",\n \"s\": \"i\"\n }\n ],\n \"past_company\": [\n {\n \"v\": \"Wiza\",\n \"s\": \"i\"\n }\n ],\n \"company_location\": [\n {\n \"v\": \"Toronto, Ontario, Canada\",\n \"b\": \"city\",\n \"s\": \"e\"\n }\n ],\n \"company_industry\": [\n {\n \"v\": \"building materials\"\n },\n {\n \"v\": \"capital markets\",\n \"s\": \"e\"\n }\n ],\n \"company_size\": [],\n \"department_size\": [\n \"sales:10-50\"\n ],\n \"revenue\": [],\n \"funding_date\": {},\n \"funding_stage\": {\n \"v\": []\n },\n \"funding_type\": {\n \"v\": []\n },\n \"company_type\": [],\n \"company_summary\": [\n {\n \"v\": \"cutting-edge\"\n }\n ],\n \"year_founded_start\": \"2020\",\n \"year_founded_end\": \"2024\"\n }\n}")
.asString();
{
  "status": {
    "code": 200,
    "message": "🧙 Wiza is working on it!"
  },
  "type": "list",
  "data": {
    "id": 15,
    "name": "VP of Sales in San Francisco",
    "status": "queued",
    "stats": {
      "people": 2,
      "credits": {
        "email_credits": 1,
        "phone_credits": 1,
        "export_credits": 1,
        "api_credits": {
          "email_credits": 2,
          "phone_credits": 5,
          "scrape_credits": 1,
          "total": 8
        }
      }
    },
    "finished_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "enrichment_level": "partial",
    "email_options": {
      "accept_work": true,
      "accept_personal": true,
      "accept_generic": true
    },
    "report_type": "people"
  }
}
{
"status": {
"code": 400,
"message": ""
}
}

Authorizations

Authorization
string
header
required

Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}

Body

application/json
list
object
required
Example:
{
"name": "VP of Sales in San Francisco",
"max_profiles": 10,
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
}
}
filters
object
required

Response

successful

status
object
type
enum<string>
Available options:
list
Example:

"list"

data
object